Search issues
curl --request POST \
--url https://api.example.com/api/issues/{deploymentId}/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"filters": {
"ids": [
"<string>"
],
"titleQuery": "<string>",
"descriptionQuery": "<string>",
"reasoningQuery": "<string>",
"actions": [
"<string>"
],
"workflowIds": [
"<string>"
],
"identities": [
"<string>"
],
"triggerSources": [
"<string>"
],
"projectIds": [
"<string>"
],
"refIds": [
"<string>"
],
"filePathQuery": "<string>",
"createdAt": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"lastDetectedAt": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"triagedAt": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"workflowJobIds": [
"<string>"
]
},
"limit": 123,
"cursor": "<string>"
}
'import requests
url = "https://api.example.com/api/issues/{deploymentId}/search"
payload = {
"deploymentId": "<string>",
"filters": {
"ids": ["<string>"],
"titleQuery": "<string>",
"descriptionQuery": "<string>",
"reasoningQuery": "<string>",
"actions": ["<string>"],
"workflowIds": ["<string>"],
"identities": ["<string>"],
"triggerSources": ["<string>"],
"projectIds": ["<string>"],
"refIds": ["<string>"],
"filePathQuery": "<string>",
"createdAt": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"lastDetectedAt": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"triagedAt": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"workflowJobIds": ["<string>"]
},
"limit": 123,
"cursor": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
filters: {
ids: ['<string>'],
titleQuery: '<string>',
descriptionQuery: '<string>',
reasoningQuery: '<string>',
actions: ['<string>'],
workflowIds: ['<string>'],
identities: ['<string>'],
triggerSources: ['<string>'],
projectIds: ['<string>'],
refIds: ['<string>'],
filePathQuery: '<string>',
createdAt: {startAt: '2023-11-07T05:31:56Z', endAt: '2023-11-07T05:31:56Z'},
lastDetectedAt: {startAt: '2023-11-07T05:31:56Z', endAt: '2023-11-07T05:31:56Z'},
triagedAt: {startAt: '2023-11-07T05:31:56Z', endAt: '2023-11-07T05:31:56Z'},
workflowJobIds: ['<string>']
},
limit: 123,
cursor: '<string>'
})
};
fetch('https://api.example.com/api/issues/{deploymentId}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"issues": [
{
"id": "<string>",
"deploymentId": "<string>",
"title": "<string>",
"description": "<string>",
"reasoning": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastDetectedAt": "2023-11-07T05:31:56Z",
"triagedAt": "2023-11-07T05:31:56Z",
"actions": [
"<string>"
],
"workflowIds": [
"<string>"
],
"identities": [
"<string>"
],
"triggerSources": [
"<string>"
],
"projectIds": [
"<string>"
],
"refIds": [
"<string>"
],
"filePaths": [
"<string>"
],
"dependencyPaths": [
"<string>"
],
"directDependencies": [
"<string>"
],
"domains": [
"<string>"
],
"cwes": [
"<string>"
],
"owasps": [
"<string>"
]
}
],
"total": "<string>",
"cursor": "<string>"
}Issues (Semgrep Agentic Workflows)
Search issues
Search Semgrep Agentic Workflows issues with filtering, sorting, and cursor pagination.
POST
/
api
/
issues
/
{deploymentId}
/
search
Search issues
This endpoint is experimental. It may change or be removed without notice, and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Body
application/json
Filters for narrowing issue search results. Fields are combined with AND; multiple values within a field are combined with OR.
Show child attributes
Show child attributes
| value | description |
|---|---|
| ISSUE_SORT_FIELD_SEVERITY | |
| ISSUE_SORT_FIELD_LAST_DETECTED_AT | |
| ISSUE_SORT_FIELD_CREATED_AT | |
| ISSUE_SORT_FIELD_FILE_PATH |
Available options:
ISSUE_SORT_FIELD_SEVERITY, ISSUE_SORT_FIELD_LAST_DETECTED_AT, ISSUE_SORT_FIELD_CREATED_AT, ISSUE_SORT_FIELD_FILE_PATH | value | description |
|---|---|
| SORT_DIRECTION_ASC | |
| SORT_DIRECTION_DESC |
Available options:
SORT_DIRECTION_ASC, SORT_DIRECTION_DESC Was this page helpful?
⌘I